#58 Built samples fail to execute

v1.0 (example)
closed
nobody
crash (13)
5
2009-10-23
2009-09-23
Anonymous
No

Ruby 1.9.2-dev, OS X 10.5.8. Built ruby from SVN (with --enable-shared), installed RubyCocoa binary 10.5 pkg from Sourceforge, built samples sucessfully into a folder on the Desktop. Attempt to run any of them, they all fail with messages like the following in the Console:

Sep 23 03:22:08 TKNMac com.apple.launchd[109] ([0x0-0x2d02d].com.apple.rubycocoa.MailDemoSimple[11977]): posix_spawnp("/Users/ted/Desktop/RubyCocoaApps/MailDemo.app/Contents/MacOS/MailDemo", ...): Permission denied
Sep 23 03:22:08 TKNMac com.apple.launchd[109] ([0x0-0x2d02d].com.apple.rubycocoa.MailDemoSimple[11977]): Exited with exit code: 1

Earlier in the Console, I spot what I think is the problem, but I am without ideas how to fix it:

Sep 23 03:09:14 TKNMac kernel[0]: Finder[161] Unable to clear quarantine `RubyCocoa-1.0.0-OSX10.5universal.pkg': 30

The installer seemed to work succesfully, however, so this may be a red herring--I'm otherwise at a loss as to why the samples are all failing to execute. Group and ownership permissions seem fine.

Discussion

  • Original poster here--just figured out that the SimpleApp executable inside the .app directory structure for some reason isn't marked with the "x" bit on; it's marked as rw-r--r-- and so, not being executable, fails to execute. (Which makes a certain kind of sense.)

    Is the x flag supposed to be set during the build process? Total n00b here to RubyCocoa.

     
  • kimura wataru
    kimura wataru
    2009-10-08

    current version of RubyCocoa do not support Ruby 1.9.x.

     
  • kimura wataru
    kimura wataru
    2009-10-08

    • status: open --> pending
     
  • This Tracker item was closed automatically by the system. It was
    previously set to a Pending status, and the original submitter
    did not respond within 14 days (the time period specified by
    the administrator of this Tracker).

     
    • status: pending --> closed